commit 7097d2aafcae4b1cb89c28ff4fd4af18df9a2cef
Author: Francois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Date:   Mon Dec 27 01:13:59 2021 +0100

    LTO: Prune some warnings in the testsuite
    
    Warnings like:
    
        warning: using serial compilation of 2 LTRANS jobs
        warning: visibility attribute not supported in this configuration; ignored\[^\n\]*" $text "" text
    
    are pruned by lto.exp, but not for LTO testcases when run in other parts
    of the testsuite. They will be, now.
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/47334
            PR testsuite/103823
            * lib/prune.exp: Prune some warnings related to LTO and
            visibility.
    
    (cherry picked from commit 05edf6c470ae0ab50d42f16e78e476dbcc774842)

diff --git a/gcc/testsuite/lib/prune.exp b/gcc/testsuite/lib/prune.exp
index a5d09c78106..f11f008373c 100644
--- a/gcc/testsuite/lib/prune.exp
+++ b/gcc/testsuite/lib/prune.exp
@@ -82,6 +82,13 @@ proc prune_gcc_output { text } {
     # Ignore dsymutil warning (tool bug is actually linker)
     regsub -all "(^|\n)\[^\n\]*could not find object file symbol for symbol\[^\n\]*" $text "" text
 
+    # Ignore missing lto jobserver for tests that do more than 1 LTRANS unit
+    regsub -all "(^|\n)\[^\n\]*lto\[^\n\]*: warning: using serial compilation of \[^\n\]*" $text "" text
+    regsub -all "(^|\n)\[^\n\]*lto\[^\n\]*: note: see the \[^\n\]*'-flto' option documentation\[^\n\]* for more information" $text "" text
+
+    # Many tests that use visibility will still pass on platforms that don't support it.
+    regsub -all "(^|\n)\[^\n\]*lto1: warning: visibility attribute not supported in this configuration; ignored\[^\n\]*" $text "" text
+
     # If dg-enable-nn-line-numbers was provided, then obscure source-margin
     # line numbers by converting them to "NN" form.
     set text [maybe-handle-nn-line-numbers $text]

